[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [AuthException](./index.md)

# AuthException

`class AuthException : `[`Exception`](https://developer.android.com/reference/java/lang/Exception.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L15)

An exception which may happen while obtaining auth information using [OAuthAccount](../-o-auth-account/index.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AuthException(type: `[`AuthExceptionType`](../-auth-exception-type/index.md)`)`<br>An exception which may happen while obtaining auth information using [OAuthAccount](../-o-auth-account/index.md). |
